automatic_updates.settings:
  type: config_object
  label: 'Automatic updates settings'
  mapping:
    psa_endpoint:
      type: string
      label: 'Endpoint URI for PSAs'
    enable_psa:
      type: boolean
      label: 'Enable PSA notices'
    notify:
      type: boolean
      label: 'Notify when PSAs are available'
    check_frequency:
      type: integer
      label: 'Frequency to check for PSAs, defaults to 12 hours'
    enable_readiness_checks:
      type: boolean
      label: 'Enable readiness checks'
    download_uri:
      type: string
      label: 'Endpoint URI for file hashes and quasi patch files'
    ignored_paths:
      type: string
      label: 'List of files paths to ignore when running readiness checks'
